package de.tu_dresden.diplom.richter_mirko_mat2628335.witness.dependency;

import org.apache.log4j.Logger;

import java.util.Vector;

/**
 * 
 */
public class Dependency implements IFDependency{

   private static final Logger logger = Logger.getLogger(Dependency.class);

   private String reference = null;
   private Vector dependencies = null;

   public Dependency(String reference) {
      dependencies = new Vector();
      this.reference = reference;
   }

   public String getReference() {
      return reference;
   }

   public void addReference2Dependency(IFDependency dep) {
      if(dep != null){
         dependencies.add(dep);
      }
   }

   public boolean hasDependencies() {
      return dependencies.size() > 0;
   }
}
